.btn-red, .btn-danger, .modalCancel {
  border-color: #C15454;
  background-color: #C15454;
  color: white;
}
.btn-red:disabled, .btn-red.disabled, .btn-red.btn.disabled, .btn-danger:disabled, .btn-danger.disabled, .btn-danger.btn.disabled, .modalCancel:disabled, .modalCancel.disabled, .modalCancel.btn.disabled {
  border-color: color-mix(in srgb, rgb(169.7, 107.3, 107.3), white 30%);
  background-color: color-mix(in srgb, rgb(169.7, 107.3, 107.3), white 30%);
}
.btn-red:focus, .btn-red:focus-visible, .btn-red.btn:focus-visible, .btn-danger:focus, .btn-danger:focus-visible, .btn-danger.btn:focus-visible, .modalCancel:focus, .modalCancel:focus-visible, .modalCancel.btn:focus-visible {
  background-color: #C15454;
  color: white;
}
.btn-red:focus, .btn-red:focus-visible, .btn-red:first-child:active:focus-visible, .btn-danger:focus, .btn-danger:focus-visible, .btn-danger:first-child:active:focus-visible, .modalCancel:focus, .modalCancel:focus-visible, .modalCancel:first-child:active:focus-visible {
  box-shadow: 0 0 0 0.2rem color-mix(in srgb, #C15454, transparent 50%);
}
.btn-red:hover, .btn-red :hover:focus, .btn-red :hover:focus:focus-visible, .btn-danger:hover, .btn-danger :hover:focus, .btn-danger :hover:focus:focus-visible, .modalCancel:hover, .modalCancel :hover:focus, .modalCancel :hover:focus:focus-visible {
  color: white;
  background-color: color-mix(in srgb, #C15454, black 10%);
  border-color: color-mix(in srgb, #C15454, black 10%);
}
.btn-red:active, .btn-red:first-child:active, :not(.btn-check) + .btn-red:active, .btn-danger:active, .btn-danger:first-child:active, :not(.btn-check) + .btn-danger:active, .modalCancel:active, .modalCancel:first-child:active, :not(.btn-check) + .modalCancel:active {
  color: white;
  background-color: #C15454;
  border-color: #C15454;
}

.btn-orange {
  border-color: #FF9E15;
  background-color: #FF9E15;
  color: white;
}
.btn-orange:disabled, .btn-orange.disabled, .btn-orange.btn.disabled {
  border-color: color-mix(in srgb, rgb(231.6, 154, 44.4), white 30%);
  background-color: color-mix(in srgb, rgb(231.6, 154, 44.4), white 30%);
}
.btn-orange:focus, .btn-orange:focus-visible, .btn-orange.btn:focus-visible {
  background-color: #FF9E15;
  color: white;
}
.btn-orange:focus, .btn-orange:focus-visible, .btn-orange:first-child:active:focus-visible {
  box-shadow: 0 0 0 0.2rem color-mix(in srgb, #FF9E15, transparent 50%);
}
.btn-orange:hover, .btn-orange :hover:focus, .btn-orange :hover:focus:focus-visible {
  color: white;
  background-color: color-mix(in srgb, #FF9E15, black 10%);
  border-color: color-mix(in srgb, #FF9E15, black 10%);
}
.btn-orange:active, .btn-orange:first-child:active, :not(.btn-check) + .btn-orange:active {
  color: white;
  background-color: #FF9E15;
  border-color: #FF9E15;
}

.btn-primary, .btn-primary.modalCancel {
  border-color: #1383A7;
  background-color: #1383A7;
  color: white;
}
.btn-primary:disabled, .btn-primary.disabled, .btn-primary.btn.disabled, .btn-primary.modalCancel:disabled, .btn-primary.modalCancel.disabled, .btn-primary.modalCancel.btn.disabled {
  border-color: color-mix(in srgb, rgb(37.6, 121.4486486486, 148.4), white 30%);
  background-color: color-mix(in srgb, rgb(37.6, 121.4486486486, 148.4), white 30%);
}
.btn-primary:focus, .btn-primary:focus-visible, .btn-primary.btn:focus-visible, .btn-primary.modalCancel:focus, .btn-primary.modalCancel:focus-visible, .btn-primary.modalCancel.btn:focus-visible {
  background-color: #1383A7;
  color: white;
}
.btn-primary:focus, .btn-primary:focus-visible, .btn-primary:first-child:active:focus-visible, .btn-primary.modalCancel:focus, .btn-primary.modalCancel:focus-visible, .btn-primary.modalCancel:first-child:active:focus-visible {
  box-shadow: 0 0 0 0.2rem color-mix(in srgb, #1383A7, transparent 50%);
}
.btn-primary:hover, .btn-primary :hover:focus, .btn-primary :hover:focus:focus-visible, .btn-primary.modalCancel:hover, .btn-primary.modalCancel :hover:focus, .btn-primary.modalCancel :hover:focus:focus-visible {
  color: white;
  background-color: color-mix(in srgb, #1383A7, black 10%);
  border-color: color-mix(in srgb, #1383A7, black 10%);
}
.btn-primary:active, .btn-primary:first-child:active, :not(.btn-check) + .btn-primary:active, .btn-primary.modalCancel:active, .btn-primary.modalCancel:first-child:active, :not(.btn-check) + .btn-primary.modalCancel:active {
  color: white;
  background-color: #1383A7;
  border-color: #1383A7;
}

.btn-outline-warning {
  border-color: #C15454;
  background-color: transparent;
  color: #C15454;
}
.btn-outline-warning:disabled, .btn-outline-warning.disabled, .btn-outline-warning.btn.disabled {
  border-color: color-mix(in srgb, rgb(169.7, 107.3, 107.3), white 30%);
  color: color-mix(in srgb, rgb(169.7, 107.3, 107.3), white 30%);
}
.btn-outline-warning:focus, .btn-outline-warning:focus-visible, .btn-outline-warning.btn:focus-visible {
  background-color: transparent;
  color: #C15454;
}
.btn-outline-warning:focus, .btn-outline-warning:focus-visible, .btn-outline-warning:first-child:active:focus-visible {
  box-shadow: 0 0 0 0.2rem color-mix(in srgb, #C15454, transparent 50%);
}
.btn-outline-warning:hover, .btn-outline-warning :hover:focus, .btn-outline-warning :hover:focus:focus-visible {
  color: white;
  background-color: color-mix(in srgb, #C15454, black 10%);
  border-color: color-mix(in srgb, #C15454, black 10%);
}
.btn-outline-warning:active, .btn-outline-warning:first-child:active, :not(.btn-check) + .btn-outline-warning:active {
  color: white;
  background-color: #C15454;
  border-color: #C15454;
}

.btn-outline-primary {
  border-color: #1383A7;
  background-color: transparent;
  color: #1383A7;
}
.btn-outline-primary:disabled, .btn-outline-primary.disabled, .btn-outline-primary.btn.disabled {
  border-color: color-mix(in srgb, rgb(37.6, 121.4486486486, 148.4), white 30%);
  color: color-mix(in srgb, rgb(37.6, 121.4486486486, 148.4), white 30%);
}
.btn-outline-primary:focus, .btn-outline-primary:focus-visible, .btn-outline-primary.btn:focus-visible {
  background-color: transparent;
  color: #1383A7;
}
.btn-outline-primary:focus, .btn-outline-primary:focus-visible, .btn-outline-primary:first-child:active:focus-visible {
  box-shadow: 0 0 0 0.2rem color-mix(in srgb, #1383A7, transparent 50%);
}
.btn-outline-primary:hover, .btn-outline-primary :hover:focus, .btn-outline-primary :hover:focus:focus-visible {
  color: white;
  background-color: color-mix(in srgb, #1383A7, black 10%);
  border-color: color-mix(in srgb, #1383A7, black 10%);
}
.btn-outline-primary:active, .btn-outline-primary:first-child:active, :not(.btn-check) + .btn-outline-primary:active {
  color: white;
  background-color: #1383A7;
  border-color: #1383A7;
}

.btn-outline-light:not(.text-orange) {
  border-color: #cccccc;
  background-color: transparent;
  color: #cccccc;
}
.btn-outline-light:not(.text-orange):disabled, .btn-outline-light:not(.text-orange).disabled, .btn-outline-light:not(.text-orange).btn.disabled {
  border-color: color-mix(in srgb, #cccccc, white 30%);
  color: color-mix(in srgb, #cccccc, white 30%);
}
.btn-outline-light:not(.text-orange):focus, .btn-outline-light:not(.text-orange):focus-visible, .btn-outline-light:not(.text-orange).btn:focus-visible {
  background-color: transparent;
  color: #cccccc;
}
.btn-outline-light:not(.text-orange):focus, .btn-outline-light:not(.text-orange):focus-visible, .btn-outline-light:not(.text-orange):first-child:active:focus-visible {
  box-shadow: 0 0 0 0.2rem color-mix(in srgb, #cccccc, transparent 50%);
}
.btn-outline-light:not(.text-orange):hover, .btn-outline-light:not(.text-orange) :hover:focus, .btn-outline-light:not(.text-orange) :hover:focus:focus-visible {
  color: white;
  background-color: color-mix(in srgb, #cccccc, black 10%);
  border-color: color-mix(in srgb, #cccccc, black 10%);
}
.btn-outline-light:not(.text-orange):active, .btn-outline-light:not(.text-orange):first-child:active, :not(.btn-check) + .btn-outline-light:not(.text-orange):active {
  color: white;
  background-color: #cccccc;
  border-color: #cccccc;
}